package cn.axzo.workflow.core.common.event;

import cn.axzo.workflow.core.common.enums.MqLogEventType;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.ApplicationEvent;

/**
 * Mq Log Event 时间对象
 *
 * @author wangli
 * @since 2024/5/15 11:01
 */
@Slf4j
public class MqLogEvent extends ApplicationEvent {
    private String uniqueId;
    private String messageId;
    private String mqTag;
    private String mqKey;
    private String messageBody;
    private String traceId;
    private MqLogEventType eventType;

    public MqLogEvent(String uniqueId, String messageId, String mqTag, String mqKey, String messageBody, String traceId, MqLogEventType eventType) {
        super(uniqueId);
        this.uniqueId = uniqueId;
        this.messageId = messageId;
        this.mqTag = mqTag;
        this.mqKey = mqKey;
        this.messageBody = messageBody;
        this.traceId = traceId;
        this.eventType = eventType;
    }

    public String getUniqueId() {
        return uniqueId;
    }

    public void setUniqueId(String uniqueId) {
        this.uniqueId = uniqueId;
    }

    public String getMessageId() {
        return messageId;
    }

    public void setMessageId(String messageId) {
        this.messageId = messageId;
    }

    public String getMqTag() {
        return mqTag;
    }

    public void setMqTag(String tag) {
        this.mqTag = tag;
    }

    public String getMqKey() {
        return mqKey;
    }

    public void setMqKey(String key) {
        this.mqKey = key;
    }

    public String getMessageBody() {
        return messageBody;
    }

    public void setMessageBody(String messageBody) {
        this.messageBody = messageBody;
    }

    public String getTraceId() {
        return traceId;
    }

    public void setTraceId(String traceId) {
        this.traceId = traceId;
    }

    public MqLogEventType getEventType() {
        return eventType;
    }

    public void setEventType(MqLogEventType eventType) {
        this.eventType = eventType;
    }
}
